import { defineStore } from 'pinia'

export const useMainStore = defineStore('mainStore', {
  state: () => ({
    count: 0,
    token: "",
    loginState: false, // 登入狀態
    loginDialog: false, // 登入視窗
  }),
  // getters: {
  // },
  actions: {
    // 檢查登入狀態
    checkToken() {
      const token = localStorage.getItem('token');
      console.log('checkToken', token);
      if (token) {
        this.token = token;
        this.loginState = true;
      } else {
        this.token = null;
        this.loginState = false;
      }

      return this.loginState;
    },
    getImageUrl(name) {
      console.log('name', name);
      return new URL(`/src/assets/img/${name}`, import.meta.url).href;
    },
    getTotalPages(totalRecords, recordsPerPage) { // 計算頁數
      return Math.ceil(totalRecords / recordsPerPage);
    }
  },
})